package cn.zhios.zhiying_base_widget_example;

import cn.zhios.zhiying_comm.ZhiyingCommPlugin;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommHandler;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommNativable;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommNative;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommNativeResult;

import java.util.HashMap;
import java.util.Map;

import androidx.annotation.NonNull;

import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.FlutterEngine;
import io.flutter.plugins.GeneratedPluginRegistrant;

public class MainActivity extends FlutterActivity implements ZhiyingFlutterCommNativable {
  @Override
  public void configureFlutterEngine(@NonNull FlutterEngine flutterEngine) {
    GeneratedPluginRegistrant.registerWith(flutterEngine);
    ZhiyingFlutterCommNative.getInstance().regist(this);
  }


  boolean localDebug = false;

  @Override
  public void openPage(Map params) {

  }

  @Override
  public void openNativePage(Map params) {

  }

  @Override
  public Map getSetting() {
    Map map = new HashMap();
    map.put("domain", "http://192.168.0.113:5000"); //"http://120.76.175.204:8989");
    map.put("master_id", "123456");
    map.put("secret_key", "123456");
//    map.put("token", "123465");
    return map;
  }

  @Override
  public void invokeMethod(String method, Map<String, Object> params, ZhiyingFlutterCommHandler handler) {
    return;
  }

  @Override
  protected void onDestroy() {
    super.onDestroy();
    ZhiyingFlutterCommNative.getInstance().unregist();
  }
}
